# Munin (master)

## Quickstart

Munin stats aggregator and reporting, based on ethersys' munin container (<https://github.com/ethersys/ethersys-docker-munin>).
Base image: Debian 12

### Build

```bash
git clone https://git.kurocon.nl/KuroNET/munin-docker.git
docker build -t munin ./
docker run munin
```

### Or pull

```bash
docker pull git.kurocon.nl/kuronet/munin-docker
docker run git.kurocon.nl/kuronet/munin-docker:latest
```

## How it works

### Ports

* None

### Volumes

* `/var/lib/munin` : Databases files
* `/var/log/munin` : Logs
* `/var/run/munin` : Access to graph CGI socket
* `/var/cache/munin` : Where are generated graphs
* `/etc/munin/munin.conf.d` : Access to node configurations

### Environment Variables

* `TZ`: Customize the timezone according to your place: (i.e. `Europe/London`) (default: `Europe/Paris`)

### Note

Cronjobs and webserver should be setup separately (i.e. Kubernetes CronJob + sidecar nginx container)

## Persistent example

```bash
docker run \
 -d \
 --name=munin \
 -e TZ="Europe/London" \
 -v /data/munin/db:/var/lib/munin \
 -v /data/munin/logs:/var/log/munin \
 -v /data/munin/cache:/var/cache/munin \
 munin
```
